> For the complete documentation index, see [llms.txt](https://gitbook-docs.coinmetrics.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://gitbook-docs.coinmetrics.io/api-reference/atlas/blockchain-explorer-job/transactions.md).

# Transactions

Creates asynchronous job for retrieving transactions data.\
Use the /jobs endpoint to poll job's status. The result file when downloaded will contain a newline-delimited JSON stream of BlockchainJobTransactionInfo objects.

```json
{"openapi":"3.0.2","info":{"title":"Coin Metrics API v4","version":"4.0.0"},"tags":[{"name":"Blockchain Explorer Job","description":"Endpoints for creating async jobs for blockchain entities.\n\nSchema definitions of results of Blockchain Explorer Job endpoints.\n\n**Endpoints on this page:**\n- `PUT /blockchain-job/account-balances` — Account balances\n- `PUT /blockchain-job/balance-updates` — Balance updates\n- `PUT /blockchain-job/transactions` — Transactions"}],"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"wss://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"security":[{"api_key":[]}],"components":{"securitySchemes":{"api_key":{"description":"Coin Metrics API key can be specified as `?api_key=` query parameter.","in":"query","name":"api_key","type":"apiKey"}},"schemas":{"BlockchainJobTransactionsRequest":{"properties":{"assets":{"$ref":"#/components/schemas/BlockchainJobAssets"},"txids":{"$ref":"#/components/schemas/BlockchainTransactionIds"}},"required":["assets","txids"]},"BlockchainJobAssets":{"description":"Comma separated list of assets, or wildcard (*) for all supported assets.","items":{"$ref":"#/components/schemas/AssetId"}},"AssetId":{"description":"Unique name of the asset.","type":"string"},"BlockchainTransactionIds":{"description":"Transactions ids.","type":"array","items":{"$ref":"#/components/schemas/BlockchainTransactionId"}},"BlockchainTransactionId":{"description":"Identifier (txid) of the transaction.","type":"string"},"CreatedJobDetailsResponse":{"properties":{"job_id":{"type":"string","description":"Job ID."},"job_url":{"type":"string","description":"Job URL."}},"required":["job_id","job_url"]},"ErrorResponse":{"properties":{"error":{"$ref":"#/components/schemas/ErrorObject"}},"required":["error"],"type":"object"},"ErrorObject":{"properties":{"type":{"description":"Error type string. Can be used for error identification.","type":"string"},"message":{"description":"Human-friendly error description. Can be amended without prior notification. Do not use for error identification in your code.","type":"string"}},"required":["type","description"],"type":"object"}},"responses":{"CreatedJobDetails":{"description":"Details of just created job.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreatedJobDetailsResponse"}}}},"Unauthorized":{"description":"Requested resource requires authorization.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"BlockchainForbidden":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}},"description":"Requested resource is not available with supplied credentials."}}},"paths":{"/blockchain-job/transactions":{"put":{"summary":"Transactions","description":"Creates asynchronous job for retrieving transactions data.<br/> Use the [/jobs](#operation/getJobById) endpoint to poll job's status. The result file when downloaded will contain a newline-delimited JSON stream of [BlockchainJobTransactionInfo](#schema/BlockchainJobTransactionInfo) objects.","operationId":"putBlockchainJobTransactions","tags":["Blockchain Explorer Job"],"requestBody":{"content":{"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/BlockchainJobTransactionsRequest"}}}},"responses":{"200":{"$ref":"#/components/responses/CreatedJobDetails"},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/BlockchainForbidden"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://gitbook-docs.coinmetrics.io/api-reference/atlas/blockchain-explorer-job/transactions.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
